
function U = leftConjugate(V,R);
% 
% function U = leftConjugate(V,R);
% Lasse Leskela 2009-10-01
%
% Compute the lef-conjugate of a set V with respect to a relation R.
%
% input:
% - V: 1xm array of integers in [1,S2]
% - R: S1xS2 array of booleans (integers in [0 1])
%
% output:
% - U: 1xn array of integers in [1,S1] 
%

R2 = any(R(:,V),2);
U  = find(R2)';
