
function relationInfo(R)
%
% function relationInfo(R)
% Lasse Leskela 2008-10-01
%
% Print basic information about a relation R.
%
% Input:
% - R (array)     R(i,j) = 1 iff i is related to j
%

disp(['The relation contains ' num2str(sum(sum(R))) ' elements.']);

sRefl = 'not ';
sTran = 'not ';
sSymm = 'not ';
sAnti = 'not ';
if isReflexive(R),
  sRefl = '';
end;
if isTransitive(R),
  sTran = '';
end;
if isSymmetric(R),
  sSymm = '';
end;
if isAntisymmetric(R),
  sAnti = '';
end;
disp(['The relation is ' sRefl 'reflexive, ' sTran 'transitive, ' sSymm 'symmetric, ' sAnti 'antisymmetric.']);
