
function V = rightConjugate(U,R);
% 
% function V = rightConjugate(U,R);
% Lasse Leskela 2008-10-01
%
% Compute the right-conjugate of a set U with respect to a relation R.
%
% input:
% - U: 1xm array of integers in [1,S1]
% - R: S1xS2 array of booleans (integers in [0 1])
%
% output:
% - V: 1xn array of integers in [1,T] 
%

R2 = any(R(U,:),1);
V  = find(R2);
